require "lahttp"
require "multihttp"

local function mycallback(url, status, data)
	print("---------------");
	if status == 200 then -- HTTP OK
		print("Received the data from "..url..":");
		print(data)
	else
		print("Received HTTP error "..status.." while downloading from "..url);
	end
	print("---------------");
end

local function progresscallback(batch)
	print("Progress:");
	for url, progress in pairs(batch:progress()) do
		print(url..":");
		for statistic, value in pairs(progress) do
			print("", statistic..":  "..value);
		end
	end
	print("");
end

batch_download = multihttp.new(mycallback, { "http://www.google.com/", "http://example.com/" });

batch_download:set_progress_callback(progresscallback, 1); -- Call progresscallback every second

batch_download:download(true); -- true means "don't return until all downloads are finished"
